/*

Trainer hack for Golden Axe.

001 - begin - stripping interrupts etc, ready to be backgrounded
002 - backgrounding golden axe; success! (saved)
003 - recovering from crash that deleted 003!?! - works
004 - key to proceed from demo screen, patch at loose life handler
005 - went bad
006 - life patch checks byte; works - variable at $DE51 controls cheats
007 - preserving cheat byte from cleaning etc..; it works! but not on everdrive!
008 - thinking about everdrive problems...  solved, thanks to Maxim (GG stereo support); working on everdrive
009 - double potions; works!
010 - thinking about the content of the demo screen menu
      having figured out lots of stuff about how PSG is handled in Golden Axe
      attempting to play original Golden Axe music from demo screen... from demo screen
      this works - but music is too fast
011 - yeah - it works!!!!
012 - testing if I can change tracks with joystick...  press up to play forest, down to play fiends path
       - it works! (saved)
013 - went bad...
014 - fixed it - working version (saved)
015 - cleaning up, added custom VDP screen regs, and restore VDP it still works
016 - more cleaning, trimming, making loadSound function, adding defines for tracks
017 - displaying gaxe logo, working
018 - adding sprites, start sprite (white dot) created and loaded into tile bank
019 - put the star on screen via the sprite attribute table; it works (saved)
020 - move sprite, oh yes, this works!
021 - messed up
022 - three stars - working, saved
023 - optimizing code with functions, commandWordVDP
024 - better sprite handler, mirror in RAM, more stars ;saved
025 - commenting this, optimizing - working, saved
026 - optimizing more, commenting (saved)
027 - including font data, new functions votir and ldpal
028 - 1: start game works, and demo screen switch in RAM for it to know not to reappear from demos etc.
029 - preparing the menu
030 - shift to menu screen set up in tilemap
031 - moving selector (not yet, fixing bouncing keys w. vCounter var; working
032 - cleaning up, moving selector, switch lives
033 - potions working, switching between normal and x2
034 - start game working - problem with cheat byte being overwritten at level change?
037 - coming back from errors  - todo: must fix graphic errors with magic bar!, new pos for cheat
038 - went bad
039 - better potion handler
041 - fixed graphics glitch x 2 potions
042 - cleaning up, heavy trimming of trainer menu functions
043 - even more cleaning, trimming, commenting, added tunes to level selector 1-5
044 - attempting level patch...
045 - level patch works: fix background color and putchar
046 - still trying to fix... separated eraseSelector from drawSelector
047 - beta
048 - fixing real system glitch in palette restore  (solution: turn screen off before loading palette)

TRAINERS: DO IT YOURSELF
- The .asm source for a trainer patch for Golden Axe
                By hang-on, at the SMS-Power forum 2013
                
                - see also trainer patch for Altered Beast
                  please refer to: http://www.smspower.org/Development/Trainers

*/

; WLA-DX ----------------------------------------------------------------------
.MEMORYMAP
SLOTSIZE $4000
defaultslot 2
SLOT 0 $0000
SLOT 1 $4000
SLOT 2 $8000
.ENDME
.ROMBANKMAP
BANKSTOTAL 36
BANKSIZE $4000
BANKS 36
.ENDRO

.background "goldenaxe_append64kb.sms"
.unbackground $80000 $8ffff
;------------------------------------------------------------------------------

; Variables -------------------------------------------------------------------

.DEFINE vMagicType             $C004
.DEFINE vLives                 $C005
.DEFINE vPotions               $C006

.DEFINE vPSGControl            $DE84                ; variable used by the game's own sound
                                                    ; handler to determine which tune/sound effect
                                                    ; to load and prepare to play

.DEFINE vKeys                  $DE52                ; contains info about keys pressed
                                                    ; $FF if no keys

.DEFINE vDemoScreenSwitch      $DE53                ; switch/flag to make sure demos initiated from
                                                    ; the title screen do jump back to the title
                                                    ; screen (and not the custom made demo screen)

.DEFINE vMenuPos               $DE54                ; active item in the trainer menu
.DEFINE vCounter               $DE55                ; counter to avoid keys 'bouncing'

.DEFINE vLevel                 $DE56                ; level to start from

.DEFINE vStartGameSwitch       $DE57                ; used by the menu to initiate
                                                    ; game start procedure

.DEFINE vCheats                $DFB0                ; bit 0 = unlimited lives
                                                    ; bit 1 = x2 potions
                                                    ; stored relatively high in RAM to avoid various
                                                    ; LDIR's 'cleaning' memory
.DEFINE vRouterArg             $DFB1                ; one handler routes to different patches depending
                                                    ; on this variable
;------------------------------------------------------------------------------

; Definitions -----------------------------------------------------------------
.DEFINE dVDPCommand               $bf
.DEFINE dVDPData                  $be
.DEFINE dVDPCounter_V             $7e
.DEFINE dPortJoystick             $dc

.DEFINE fInitSound                $8000             ; label names applied to functions in orig. ROM
.DEFINE fPlayNote                 $8007             ; both related to music/sound - PSG


.DEFINE dMusicTitle               $89
.DEFINE dMusicSelectMagic         $86

.DEFINE dMusicLevel1              $81               ; the forest
.DEFINE dMusicLevel2              $82               ; the turtle village
.DEFINE dMusicLevel3              $83               ; the town
.DEFINE dMusicLevel4              $84               ; the fiend's path
.DEFINE dMusicLevel5              $85               ; the castle

.DEFINE dMusicEnding              $87
.DEFINE dMusicCamp                $88

.DEFINE writeCRAM                 %11000000
.DEFINE writeVRAM                 %01000000


.DEFINE dSpriteTableRAM           $C800             ; sprite attribute table RAM mirror
.DEFINE dNumberOfStars            7                 ; number of stars
.DEFINE dStarTable                $C0A0             ; table with vpos, hpos and speed for
                                                    ; all stars

.DEFINE dSwitchON                 $AB               ; used by handler responsible for starting
                                                    ; the game
;------------------------------------------------------------------------------

;=================================================================================================;
;                                                                                                 ;
;                    *****   PATCHES TO THE ORIGINAL ROM   *****                                  ;
;                                                                                                 ;
;                   ---------------------------------------------------------------------         ;
;                    bank |  slot  |  address  content                                                      ;
;                   ---------------------------------------------------------------------         ;
;                     0       0       0017:    demoScreenCaller - load demo screen to slot 1      ;
;                                              and start animation and sound                      ;
;                                              Golden Axe logo w. stars floating                  ;
;                                              (placed in unused ROM)                             ;
;                                     004B:    invokeRouter - used by patches on potions and      ;
;                                              lives to transfer control to custom code in        ;
;                                              the appended space                                 ;
;                                              (placed in unused ROM)                             ;
;                                     1939:    patch on lives decrement handler                   ;
;                                     246B:    patch on magic potions increment handler           ;
;                                     2AAA:    patch on title screen initializer                  ;
;                                              (to invoke demo screen before proceeding to        ;
;                                              title screen)                                      ;
;                                     3281:    patch on level loading routine                     ;
;=================================================================================================;


.bank 0 slot 0
.orga $0017
demoScreenCaller:                                   ; placed in unused ROM
      di
      push       af
      ld         a,:demoScreen                      ; put the bank containing
      ld         ($FFFE),a                          ; demo screen code in slot 1
                                                    ; (music needs to be in slot 2)
      call       demoScreen                         ; call demo screen w. menu

      ld         a,$01                              ; put bank $01 back in slot 1
      ld         ($FFFE), a                         ; leaving no trace
      pop        af
      ei

.orga $0040                                         ; placed in unused part of ROM (Golden Axe has
invokeRouter:                                       ; quite a lot unused bytes in the beginning !?)

      ld        (vRouterArg), a
      push      af

      ld         a,($FFFF)                          ; read current page number
      push       af                                 ; save page number on the stack

      ld         a,:router
      ld         ($FFFF),a

      call       router                             ; route to life patch, potions patch or level patch
                                                    ; depending on vRouterArg

      pop        af                                 ; retrieve saved page number
      ld         ($FFFF),a                          ; and activate it

      pop        af

      ret


 .orga $1939                                        ; placed in handler that decrements
      call       invokeRouter                       ; the player's life
                                                    ; thus overwriting a 6 byte instruction
                                                    ; (see more at "lifePatch" in bank 32)



.orga  $246B                                        ; placed in handler that increments
      call       invokeRouter                       ; the player's magic potions upon touching
                                                    ; a potion dropped by thieves
                                                    ; (see more at "potionsPatch" in bank 32")


.orga  $2AAA                                        ; placed in beginning of code that sweeps
      call       demoScreenCaller                   ; RAM and prepares to display title screen


.orga  $3281                                        ; placed in handler that loads level 1
      call       invokeRouter                       ; after magic is selected
;=================================================================================================;
;                                                                                                 ;
;                    *****   APPENDED ROM BANKS   *****                                           ;
;                                                                                                 ;
;                   ---------------------------------------------------------------------         ;
;                    bank |  slot  | content                                                      ;
;                   ---------------------------------------------------------------------         ;
;                     32      1       initialize demo screen background tiles (Golden Axe logo)   ;
;                                     initialize the sprites ('stars' flying)                     ;
;                                     prepare music (tune from the last level - the castle)       ;
;                                     loop demo screen:                                           ;
;                                          - wait for vertical blank                              ;
;                                          - update sprite positions                              ;
;                                          - process user input                                   ;
;                                     various functions                                           ;
;                                     data                                                        ;
;                   ---------------------------------------------------------------------         ;
;                     32      2       router determining which patch handler to jump to           ;
;                                     patch handling unlimited lives                              ;
;                                     patch handling x 2 potions                                  ;
;                   ---------------------------------------------------------------------         ;
;                     33      2       data for tiles etc. related to demo screen + menu           ;
;                                                                                                 ;
;=================================================================================================;

; ================================================================================================;
;               *****   BANK 32, SLOT 1 : DEMO SCREEN   *****                                     ;
; ================================================================================================;

.bank 32 slot 1                                     ; placed in the appended space
demoScreen:
     ld          a, (vDemoScreenSwitch)
     cp          dSwitchON
     ret         z

     ld          a, dSwitchON
     ld          (vDemoScreenSwitch), a

     ld          hl, $C017                          ; sweep RAM (this segment is copied from
     ld          de, $C018                          ; original code) - partly overwritten
     ld          bc, $0E68                          ; by the patch that calls this demo screen
     ld          (hl), $00
     ldir

; ================================================================================================;
;               *****   PREPARE SCREEN AND BACKGROUND GRAPHICS   *****                            ;
; ================================================================================================;
     ld          a, 33                              ; slot 2 = bank 33 (containing data for VDP)
     ld          ($FFFF),a


     ld          hl, titlePalette                   ; load palette
     ld          de, $0000
     ld          b, 18
     call        ldpal

     ld          hl, titleTiles                     ; load background tiles
     ld          de, $0000
     ld          bc, titleTilesEnd-titleTiles
     call        votir

     ld          hl, spriteData                     ; load sprite tiles
     ld          de, $1200
     ld          bc, 32
     call        votir

     ld          hl, fontData                       ; load font
     ld          de, $2000
     ld          bc, fontDataEnd-fontData
     call        votir

     ld          hl, titleTilemap                   ; load tile map
     ld          de, $3800
     ld          bc, 32*24*2
     call        votir




     ld          hl,VDPInit                         ; initialize VDP registers
     ld          b,VDPInitEnd-VDPInit
     ld          c,dVDPCommand
     otir


; ================================================================================================;
;               *****   PREPARE SPRITES   *****                                                   ;
; ================================================================================================;
     ld          bc, dNumberOfStars * 3             ; load vpos, hpos and speed for each sprite
     ld          hl, starAnimateData                ; from data block in ROM to table in RAM
     ld          de, dStarTable                     ; (star table)
     ldir



     ld          bc, dNumberOfStars                 ; load vpos of all stars from star table
     ld          hl, dStarTable                     ; to sprite attribute table (SAT) mirror in RAM
     ld          de, dSpriteTableRAM
     ldir

     ld          b, dNumberOfStars
     ld          hl, dStarTable + dNumberOfStars
     ld          de, dSpriteTableRAM + $80          ; point to top half of SAT (hpos and tile code)
-:
     ld          a, (hl)                            ; load hpos of star to SAT mirror
     ld          (de), a
     inc         de
     inc         hl
     ld          a, $90
     ld          (de), a                            ; load tile code of star sprite to SAT mirror
     inc         de
     djnz        -                                  ; do this for all stars

; ------------------------------------------------------------------------------------------------

     ld          a,$2                               ; music handler expects slot 2 = bank 2
     ld          ($FFFF),a
     ld          a, dMusicLevel5                    ; set up music handler to play tune from lev. 5
     call        loadSound                          ; - see also fPlayNote

     ld          a, $FF                             ; reset byte storing keys
     ld          (vKeys), a
; ================================================================================================;
;               *****   MAIN LOOP: DEMO SCREEN   *****                                            ;
; ================================================================================================;
mainLoopDemo:


     call        waitVBlank                         ; wait for vertical blank

     ld          a, (vKeys)                         ; read keys stored in RAM
     bit         4, a                               ; start game on button 1 press
     jp          z,startGame

     bit         5,a                                ; start menu on button 2 press
     jp          z,startMenu


; ------------------------ UPDATE THE STARS' POSITIONS ----------------------------------------------

     ld          de, dStarTable                     ; point to vpos in star table
     ld          hl, dStarTable + (2 * dNumberOfStars) ; point to speed in star table
     ld          b, dNumberOfStars
-:
     ld          a, (de)
     ld          c, (hl)
     sbc         a, c                               ; decrement vpos by speed

     ld          (de),a                             ; load decremented value to vpos
     inc         hl                                 ; point to next speed
     inc         de                                 ; point to next vpos
     djnz        -                                  ; do it for all stars


     ld          hl, dStarTable                     ; load updated vpos from star table
     ld          de, dSpriteTableRAM                ; to RAM SAT
     ld          bc, dNumberOfStars
     ldir


; ------------------ DATA PROCESSING SERVICES -------------------------------------------------

     ld          hl, dSpriteTableRAM                ; make VRAM SAT mirror the RAM SAT
     ld          de, $3F00
     ld          bc, $FF
     call        votir

     call        fPlayNote                          ; PSG handler - the games calls this from
                                                    ; the interrupt handler
     call        getInput


     jp          mainLoopDemo                           ; loop again

; ================================================================================================;
;               *****   TRAINER MENU   *****                                                      ;
; ================================================================================================;

startMenu:
     call        clearSprites

     ld          a, 33                              ; slot 2 = bank 33 (containing data for VDP)
     ld          ($FFFF),a

     ld          hl, trainerMenuTilemap             ; load tile map
     ld          de, $3800
     ld          bc, 32*24*2
     call        votir

     ld          a, $FF                             ; reset byte storing keys
     ld          (vKeys), a
     call        setCounter

     ld          a,$2                               ; music handler expects slot 2 = bank 2
     ld          ($FFFF),a


     ld          a, $00                             ; mute sound
     call        loadSound


     ld          a, $00                             ; initialize variables
     ld          (vMenuPos), a
     ld          (vCheats), a
     ld          (vStartGameSwitch), a

     ld          a, $01
     ld          (vLevel), a


mainLoopMenu:
     call        waitVBlank                         ; frame-by-frame flow...
                                                    ; creating a kind of 'fake' VBlank interrupt
     call        testCounter                        ; if counter is not counting
     call        z, processMenu                     ; then process menu according to keys
                                                    ; (to avoid 'bouncing' keys)

     ld          a, (vStartGameSwitch)              ; test if "start game" was selected from the
     cp          dSwitchON                          ; trainer menu
     jp          z, startGame

     ld          a, (vKeys)                         ; if some key was pressed
     cp          $FF                                ; then set the counter (to avoid boucing keys)
     call        nz, setCounter

     call        testCounter                        ; if counter is counting,
     call        nz, decrementCounter               ; then decrement it's value (count down to $00)


     call        fPlayNote

     call        getInput

     jp          mainLoopMenu

setCounter:
     ld          hl, vCounter
     ld          (hl), $06
     ret


testCounter:
     ld          a, (vCounter)
     or          a
     ret

decrementCounter:
    ld           hl, vCounter
    dec          (hl)
    ret

processMenu:

     ld          a, (vKeys)                         ; read keys stored in RAM
     bit         0,a                                ; joystick up
     call        z,moveSelectorUp
     bit         1,a                                ; joystick down
     call        z,moveSelectorDown
     bit         4, a                               ; button 1
     call        z,selectItem
     bit         5, a                               ; button 2
     call        z,selectItem
     ret


selectItem:
     push        af
     ld          a, 33                              ; slot 2 = bank 33 (containing data for VDP)
     ld          ($FFFF),a

     ld          a, (vMenuPos)                      ; check which menu item has been clicked
     cp          $00
     jp          z, changeLives
     cp          $01
     jp          z, changePotions
     cp          $02
     jp          z, changeLevel
     cp          $03
     jp          z, prepStartGame

selectItemFinish:

     ld          a,$2                               ; music handler expects slot 2 = bank 2
     ld          ($FFFF),a
     ld          a, $A9
     call        loadSound

     pop         af
     ret

changeLives:                                        ; switch between normal and unlimted lives
     ld          a, (vCheats)
     bit         0, a
     jp          z, +

     res         0, a
     ld          (vCheats), a
     ld          hl, mnuNormal
     ld          de, $38E4
     ld          bc, 18
     call        votir
     jp          selectItemFinish
+:

     set         0, a
     ld          (vCheats), a
     ld          hl, mnuUnlimited
     ld          de, $38E4
     ld          bc, 18
     call        votir

     jp          selectItemFinish

changePotions:                                      ; switch between normal and x2 (double) potions
     ld          a, (vCheats)
     bit         1, a
     jp          z, +

     res         1, a
     ld          (vCheats), a
     ld          hl, mnuNormal
     ld          de, $3964
     ld          bc, 18
     call        votir
     jp          selectItemFinish
+:

     set         1, a
     ld          (vCheats), a
     ld          hl, mnuX2
     ld          de, $3964
     ld          bc, 18
     call        votir

     jp          selectItemFinish

changeLevel:                                       ; play the levels' different tunes
     ld          a, (vLevel)                       ; and set the level
     inc         a
     cp          $06
     jp          nz, +
     ld          a, $01
+:
     ld          (vLevel), a

     ld          hl, $1111
     cp          $01
     ld          b, dMusicLevel1
     jp          z, +
     ld          hl, $1112
     cp          $02
     ld          b, dMusicLevel2
     jp          z, +

     ld          hl,$1113
     cp          $03
     ld          b, dMusicLevel3
     jp          z, +

     ld          hl, $1114
     cp          $04
     ld          b, dMusicLevel4
     jp          z, +

     ld          hl, $1115
     ld          b, dMusicLevel5

+:
     ld          de,$39E4
     call        putChar
     ld          a,$2                               ; music handler expects slot 2 = bank 2
     ld          ($FFFF),a
     ld          a, b
     call        loadSound

     jp          selectItemFinish

prepStartGame:                                      ; prepare to start give back control to the
     ld          a, dSwitchON                       ; original game
     ld          (vStartGameSwitch), a
     jp          selectItemFinish

startGame:
     ld          hl, originalPalette
     ld          de, $00
     ld          b, 32
     call        ldpal

     call        clearSprites

     ld          hl,VDPInitOriginal                 ; restore VDP to what the game expects at this point
     ld          b,VDPInitOriginalEnd-VDPInitOriginal
     ld          c,dVDPCommand
     otir
     ret                                            ; return to demoScreenCaller

moveSelectorDown:
     push        af
     call        eraseSelector
     ld          a, (vMenuPos)
     cp          $03                                ; at the bottom already
     jp          nz, +
     ld          a, $FF                             ; wrap around: start from top
+:
     inc         a
     ld          (vMenuPos), a

     call        drawSelector

     call        soundBling
     pop         af
     ret

moveSelectorUp:
     push        af
     call        eraseSelector
     ld          a, (vMenuPos)
     cp          $00                                ; at the top already
     jp          nz, +
     ld          a, $04                             ; wrap: start from bottom
+:
     dec         a

     ld         (vMenuPos), a


     call        drawSelector

     call        soundBling
     pop         af
     ret

eraseSelector:
     ld          a, 33                              ; slot 2 = bank 33 (containing data for VDP)
     ld          ($FFFF),a


     ld          de,$38CE
     ld          a, (vMenuPos)                      ; value in variable vMenuPos
     cp          $00
     jp          z, +
     ld          de,$394E
     cp          $01
     jp          z, +
     ld          de,$39CE
     cp          $02
     jp          z, +
     ld          de,$3B8E

+:
     ld          hl,$0001                           ; clear selector
     call        putChar
     ret


drawSelector:
     ld          a, 33                              ; slot 2 = bank 33 (containing data for VDP)
     ld          ($FFFF),a

     ld          de,$38CE                           ; place the ">" selector according to
     ld          a, (vMenuPos)                      ; value in variable vMenuPos
     cp          $00
     jp          z, +
     ld          de,$394E
     cp          $01
     jp          z, +
     ld          de,$39CE
     cp          $02
     jp          z, +
     ld          de,$3B8E

+:
     ld          hl,$111E                           ; write the selector tile to VRAM
     call        putChar
     ret

soundBling:
     ld          a,$2                               ; music handler expects slot 2 = bank 2
     ld          ($FFFF),a
     ld          a, $90                             ; sound effect: "Bling!"
     call        loadSound
     ret

putChar:
     ld          a, writeVRAM                       ; command code: VRAM write
     or          d
     ld          d, a
     ld          a, e                               ; output command word to VDP
     out         (dVDPCommand),a
     call        wait
     ld          a, d
     out         (dVDPCommand),a
     call        wait
     ld          a,l                                ; read 1 byte of data from source (hl)
     out         (dVDPData),a
     call        wait
     ld          a,h                                ; read 1 byte of data from source (hl)
     out         (dVDPData),a
     call        wait
     ret

wait:
    push         bc                                 ; without this wait, the VDP out instructions wont work
    ld           bc, $00
-:
  djnz           -
  pop            bc
  ret

; ================================================================================================;
;               *****  VDP OUTPUT DATA (INCREMENT AND REPEAT) *****                               ;
; ================================================================================================;
;                           votir : Vdp OuTput Increment and Repeat (word-sized OTIR for VDP)     ;
;                                                                                                 ;
;                           HL = pointer to source data                                           ;
;                           DE = output destination in VRAM                                       ;
;                           BC = amount of bytes to process                                       ;
; ================================================================================================;
votir:

     ld          a, writeVRAM                       ; command code: VRAM write
     or          d
     ld          d, a

     ld          a, e                               ; output command word to VDP
     out         (dVDPCommand),a
     ld          a, d
     out         (dVDPCommand),a

-:
     ld          a,(hl)                             ; read 1 byte of data from source (hl)
     out         (dVDPData),a                    ; write this byte to VRAM destination
     inc         hl                                 ; point to next byte of data source
     dec         bc                                 ; check if we have processed all bytes
     ld          a,b
     or          c
     jr          nz, -

     ret

ldpal:
; LoaD PALette - loads colors from ROM into CRAM
; hl = source
; de = destination on palette
; b = amount of colors (bytes) to load

  ; Turn screen off  - because otir is too fast for VDP when screen is on!
     ld          a, %10000000
     out         (dVDPCommand),a
     ld          a,$81
     out         (dVDPCommand),a

     ld          a, writeCRAM
     or          d
     ld          d, a

     ld          a, e
     out         (dVDPCommand),a
     ld          a, d
     out         (dVDPCommand),a

     ld          c, dVDPData
     otir

  ; Turn screen on
     ld          a, %11000000
     out         (dVDPCommand),a
     ld          a,$81
     out         (dVDPCommand),a


     ret




 commandWordVDP:
     ld          a, l
     out         (dVDPCommand),a
     ld          a, h
     out         (dVDPCommand),a
     ret

getInput:
     in          a,(dPortJoystick)                  ; get input
     ld          (vKeys), a                         ; store keys in RAM
     ret

clearSprites:
     ld          l, $00                             ; clear sprites
     ld          h, $3F | writeVRAM
     call        commandWordVDP
     ld          a, $D0                             ; terminator code
     out         (dVDPData), a
     ret

; ================================================================================================;
;               ***** THE GAME'S SOUND HANDLER FOR INIT. THE TRACK/SOUND TO PLAY NEXT *****       ;
; ================================================================================================;
;                           A = track/sound to play                                               ;
;                           ----- see also definitions for different tracks and sound effects     ;
;                           ----- and definition for fPlayNote (the game's own sound handler)     ;
; ================================================================================================;
loadSound:
     ld          (vPSGControl), a
     ld          a, $02
     ld          ($FFFF), a
     call        fInitSound
     ret

waitVBlank:
-:
     in          a,(dVDPCounter_V)                  ; wait for Vertical Blank
     cp          $80                                ; creating a non-interrupt based
                                                    ; frame-by-frame flow...
     jr          nz, -
     ret


; ================================================================================================;
;               *****   VDP REGISTER DATA (DEMO SCREEN)   *****                                   ;
; ================================================================================================;
VDPInit:
     .db         %00000110                          ; b4 = line interrupt (disabled)
     .db         $80

     .db         %11000000                          ; b5 = frame interrupt (disabled)
     .db         $81                                ; b6 = turn screen on (normal video)

     .db         $FF                                ; name table at $3800
     .db         $82

     .db         $FF
     .db         $83

     .db         $FF
     .db         $84

     .db         $FF                                ; sprite attrib. table at $3F00
     .db         $85

     .db         $FB                                ; sprite tiles in first 8K of RAM
     .db         $86

     .db         %11111111                          ; border color =
     .db         $87

     .db         $00                                ; horiz. scroll
     .db         $88

     .db         $00                                ; vert. scroll
     .db         $89

     .db         $FF                                ; disable line counter
     .db         $8A
VDPInitEnd:

; ================================================================================================;
;               *****   VDP REGISTER DATA (ORIGINAL GAME TITLE SCREEN)   *****                    ;
; ================================================================================================;
VDPInitOriginal:
    .db          $06 $80 $A0 $81 $FF $82 $FF $83
    .db          $FF $84 $FF $85 $FF $86 $FF $87
    .db          $00 $88 $00 $89 $FF $8A
VDPInitOriginalEnd:

; ================================================================================================;
;               *****   PALETTE OF ORIG. TITLE SCREEN (DUMPED WITH MEKA)   *****                  ;
; ================================================================================================;
originalPalette:
     .db         %00000000 %00000001 %00000110 %00011011 %00101111 %00111111
     .db         %00001011 %00111100 %00111000 %00110100 %00000000 %00000000
     .db         %00000000 %00000000 %00000011 %00000000 %00000000 %00000001
     .db         %00000110 %00011011 %00101111 %00111111 %00001011 %00111100
     .db         %00111000 %00110100 %00000000 %00000000 %00000000 %00000000
     .db         %00000000 %00000000


; ================================================================================================;
;               *****   DATA TO INITIALIZE THE STARS    *****                                     ;
; ================================================================================================;
starAnimateData:                                    ; corresponds to dNumberOfStars

     .db         $BB $3F $01 $99 $1B $C9 $2F        ; initial vpos of stars
     .db         $48 $B9 $4B $7B $AB $9F $8A        ; initial hpos of stars
     .db         $01 $01 $02 $01 $01 $02 $01        ; initial speed of stars


; ================================================================================================;
;               *****   BANK 32 - SLOT 2   *****                                                  ;
; ================================================================================================;
.bank 32 slot 2
router:                                             ; jump to potion-, level- or life patch
     ld          a, l
     cp          $19                                ; register l holds $19 when adding potions
     jp          z, potionPatch
     ld          a, (vRouterArg)
     cp          $07                                ; register a holds $07 when loading level 1
     jp          z, levelPatch
     jp          lifePatch                          ; ... if none of the above, then jump to lifePatch

lifePatch:                                          ; patch that handles unlimited lives
     ld          hl, $C014                          ; these 6 bytes are overwritten by the
                                                    ; call to this function, and thus inserted here
                                                    ; instead

     push        af
     ld          a,(vCheats)                        ; test bit 0 of cheat byte to check if
     bit         0,a                                ; unlimited lives are enabled
     jp          z, +
     push        hl

     ld          hl, vLives                         ; if so, then increment the amount of lives so
     inc         (hl)                               ; that when it gets decremented in the original
                                                    ; code in a moment, we have not lost a life
     pop         hl
+:
     pop         af                                 ; if not, then just go on like nothing happened
     ret

potionPatch:
     ld            (iy+1), $00                      ; replaced with call at 246B
     ld            a,(vCheats)                      ; if bit 1 in cheat byte is set
     bit           1,a                              ; then every potion gives player
     ret           z                                ; two magic points instead of one

     ld            hl, vPotions                     ; handler to avoid going over max. potions
     ld            a, (hl)                          ; creating graphics glitch
     cp            $08                              ; if 8 potions (assume fire magic), don't x2
     ret           z                                ; don't know why this is necessary, actually?
     cp            $07                              ; if 7 potions (assume fire magic), don't x2
     ret           z

     cp            $05                              ; 5 potions
     jp            nz, +

     ld            a, (vMagicType)
     cp            $00                               ; if earth magic and 5 potions, don't x2
     ret           z
+:

     cp            $03                               ; 3 potions
     jp            nz, +

     ld            a, (vMagicType)
     cp            $02                              ; if lightning magic, don't x2
     ret           z
+:
                                                    ; in case none of the above conditions is met:
     inc           (hl)                             ; add extra potion
     ret

levelPatch:

     ld            a, (vLevel)
     cp            1
     jp            z, startLevel1
     cp            2
     jp            z, startLevel2
     cp            3
     jp            z, startLevel3
     cp            4
     jp            z, startLevel4
     cp            5
     jp            z, startLevel5

startLevel1:
     ld            a, $00
     ld            ($C003), a
     ld            a, $07
     ld            ($C002), a
     ret

startLevel2:
     ld            a, $00
     ld            ($C003), a
     ld            a, $08
     ld            ($C002), a
     ret

startLevel3:
     ld            a, $01
     ld            ($C003), a
     ld            a, $08
     ld            ($C002), a
     ret

startLevel4:
     ld            a, $02
     ld            ($C003), a
     ld            a, $08
     ld            ($C002), a
     ret

startLevel5:
     ld            a, $03
     ld            ($C003), a
     ld            a, $08
     ld            ($C002), a
     ret


; ================================================================================================;
;               *****       BANK 33        *****                                                  ;
; ================================================================================================;
.bank 33

; ================================================================================================;
;               *****   DATA FOR GOLDEN AXE LOGO (KANJI & LETTERS)  *****                         ;
; ================================================================================================;
;                   Image edited in Photoshop and processed by BMP2Tile                           ;
;                                                                                                 ;
; ================================================================================================;
.section "Title screen data (Golden Axe logo)" free
titleTiles:
; Tile index $000
.db $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF
; Tile index $001
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $002
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $60 $60 $60 $00 $10 $10 $10 $60 $84 $A4 $84 $58
; Tile index $003
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $03 $03 $03 $00 $38 $38 $39 $06 $C0 $DF $C0 $20
; Tile index $004
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $06 $06 $00 $00 $03 $03 $00 $80 $83 $83 $00 $20 $23 $23 $C0
; Tile index $005
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $41 $41 $00 $00 $FB $FB $00 $00 $FB $FB $00 $00 $FE $FE $00 $00 $FF $FF $00
; Tile index $006
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $01 $81 $81 $00 $02 $82 $82 $01 $00 $00 $01 $02 $00 $20 $20 $03 $00 $E0 $E0 $01
; Tile index $007
.db $00 $00 $00 $00 $00 $00 $00 $00 $FF $FF $FF $00 $03 $7E $01 $80 $7E $EF $10 $00 $DF $8F $50 $20 $7F $9F $60 $00 $FF $BF $40 $00
; Tile index $008
.db $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $80 $00 $00 $00 $00 $80 $40 $40 $40 $80 $B0 $B0 $30 $40 $C8 $E8 $08 $10 $C0 $F0 $00 $18
; Tile index $009
.db $00 $00 $00 $07 $04 $05 $04 $03 $00 $03 $00 $04 $01 $03 $00 $04 $09 $0B $08 $04 $15 $17 $10 $08 $02 $03 $0C $30 $56 $43 $5C $20
; Tile index $00A
.db $00 $00 $00 $EE $11 $91 $11 $EE $29 $E1 $0D $12 $42 $FC $02 $01 $F0 $FE $00 $01 $F8 $FE $00 $01 $FD $FE $01 $00 $7F $FF $00 $00
; Tile index $00B
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $80 $00 $00 $00 $00 $80 $40 $40 $40 $80 $20 $20 $20 $C0 $90 $10 $D0 $20
; Tile index $00C
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $18 $18 $18 $00 $10 $10 $10 $0C $0A $02 $02 $14 $01 $0D $01 $12 $0C $0F $00 $10
; Tile index $00D
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $01 $01 $01 $00 $80 $80 $80 $01 $42 $42 $42 $81
; Tile index $00E
.db $9D $B5 $8D $4A $08 $74 $08 $C3 $13 $7F $00 $C2 $5D $3F $40 $80 $FD $BE $C1 $00 $7F $7F $00 $80 $BF $FF $00 $00 $7F $FE $01 $00
; Tile index $00F
.db $1E $7F $00 $80 $7E $FE $01 $00 $F0 $F0 $0A $05 $DC $CE $31 $00 $23 $3E $41 $80 $0F $3F $40 $80 $7F $7F $80 $00 $33 $3F $C0 $00
; Tile index $010
.db $60 $A3 $63 $40 $00 $8F $4F $20 $E0 $A9 $69 $00 $10 $53 $93 $20 $40 $40 $20 $90 $60 $00 $E0 $10 $B0 $30 $D0 $00 $A8 $88 $28 $50
; Tile index $011
.db $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $7F $7F $00 $00 $CC $CC $00 $00 $C8 $C8 $00 $00 $00 $00 $00
; Tile index $012
.db $03 $C3 $C2 $00 $05 $84 $85 $02 $03 $83 $80 $0C $17 $17 $10 $08 $23 $2F $30 $00 $4F $5F $40 $20 $13 $31 $02 $CC $64 $62 $15 $88
; Tile index $013
.db $FF $3F $C0 $00 $FF $7F $80 $00 $FF $FF $00 $00 $FF $FF $00 $00 $F9 $E7 $18 $00 $C2 $C3 $04 $38 $01 $01 $06 $F8 $00 $00 $0F $F0
; Tile index $014
.db $D0 $E0 $10 $08 $D0 $F0 $00 $08 $C8 $C8 $08 $30 $C5 $C5 $05 $38 $C0 $C0 $00 $3F $E1 $F1 $00 $0E $39 $FF $00 $00 $5F $7F $80 $00
; Tile index $015
.db $6F $67 $58 $00 $9F $9F $A0 $40 $3F $1F $60 $80 $7F $3F $40 $80 $FE $7F $80 $00 $FD $FF $00 $00 $FE $FE $00 $01 $F8 $88 $74 $03
; Tile index $016
.db $BF $FF $00 $00 $DF $FF $00 $00 $FF $FF $00 $00 $D7 $DF $00 $20 $81 $9F $00 $60 $2C $3D $00 $C2 $20 $00 $30 $CF $00 $00 $00 $FF
; Tile index $017
.db $20 $E0 $00 $10 $C8 $E8 $08 $10 $F4 $F4 $04 $08 $E0 $F0 $00 $0C $C0 $F0 $00 $0C $60 $C0 $20 $18 $00 $00 $00 $F0 $00 $00 $00 $C0
; Tile index $018
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $01 $01 $01 $00
; Tile index $019
.db $00 $00 $00 $00 $03 $03 $03 $00 $00 $00 $00 $07 $08 $0B $08 $04 $08 $09 $08 $06 $00 $00 $01 $02 $3C $3C $3C $03 $CA $C6 $C9 $30
; Tile index $01A
.db $16 $1F $10 $00 $27 $2F $20 $10 $8F $8F $80 $70 $1F $F7 $08 $00 $EF $F2 $0D $00 $FB $FB $04 $00 $DF $7F $80 $00 $8D $0D $F2 $00
; Tile index $01B
.db $03 $82 $03 $60 $11 $D1 $10 $22 $88 $E9 $08 $36 $C3 $E3 $00 $1C $D1 $F3 $00 $0C $97 $F7 $00 $08 $E7 $E7 $10 $08 $FF $EF $10 $00
; Tile index $01C
.db $7C $FE $01 $00 $FE $FA $04 $01 $E8 $F0 $08 $07 $F0 $E0 $10 $0F $E0 $E0 $00 $1F $B0 $B8 $44 $03 $FC $FC $02 $01 $FF $FE $01 $00
; Tile index $01D
.db $0F $3F $00 $C0 $1D $3F $40 $80 $07 $3F $40 $80 $0C $3F $40 $80 $1F $3F $40 $80 $1F $3F $40 $80 $3D $3F $00 $C0 $2B $1F $20 $C0
; Tile index $01E
.db $C0 $00 $C0 $38 $C0 $40 $A0 $18 $E8 $48 $A8 $10 $E0 $60 $90 $08 $F0 $20 $D0 $08 $F0 $20 $D0 $08 $F4 $34 $C4 $08 $F4 $34 $C4 $08
; Tile index $01F
.db $01 $01 $01 $00 $01 $01 $01 $00 $00 $00 $00 $01 $02 $02 $02 $01 $05 $05 $04 $02 $00 $00 $00 $07 $00 $00 $00 $01 $00 $00 $00 $01
; Tile index $020
.db $24 $44 $3A $81 $E0 $40 $BC $03 $90 $90 $60 $0F $A0 $00 $F0 $0F $60 $00 $E0 $1F $C0 $40 $A1 $1E $70 $7F $00 $80 $43 $7F $00 $80
; Tile index $021
.db $08 $00 $1F $E0 $00 $00 $3F $C0 $00 $00 $3F $C0 $07 $03 $7C $80 $19 $0F $F0 $00 $E7 $FF $00 $00 $73 $FF $00 $00 $F0 $C0 $3C $03
; Tile index $022
.db $27 $1F $E0 $00 $29 $1F $E0 $00 $DC $7F $80 $00 $3B $FF $00 $00 $CC $FC $00 $03 $70 $C0 $38 $07 $80 $00 $80 $7F $03 $03 $00 $FC
; Tile index $023
.db $E0 $C0 $20 $1F $E7 $E7 $18 $00 $67 $FF $00 $00 $FF $FF $00 $00 $7F $3F $40 $80 $2F $3F $00 $C0 $5E $7E $01 $80 $3F $FF $00 $00
; Tile index $024
.db $00 $00 $00 $FE $C1 $01 $F1 $0E $00 $FF $00 $00 $FC $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $DF $7F $80 $00 $9F $0F $B0 $40
; Tile index $025
.db $00 $00 $00 $00 $FF $FF $FF $00 $40 $F8 $07 $78 $00 $FF $00 $00 $FF $E0 $1F $00 $FF $FC $03 $00 $FE $FA $05 $00 $C0 $80 $68 $17
; Tile index $026
.db $00 $00 $00 $00 $E0 $E0 $E0 $00 $18 $18 $18 $E0 $00 $E0 $00 $18 $C0 $00 $C0 $30 $00 $00 $80 $60 $00 $00 $00 $C0 $00 $00 $00 $80
; Tile index $027
.db $02 $02 $02 $01 $00 $00 $00 $03 $00 $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $028
.db $CE $3F $C0 $00 $BF $FF $00 $00 $7F $7F $00 $80 $3F $2F $10 $C0 $17 $17 $28 $40 $4F $4B $44 $30 $07 $0F $00 $10 $03 $07 $08 $10
; Tile index $029
.db $4F $CD $12 $20 $FF $FF $00 $00 $FF $FF $00 $00 $E3 $E3 $04 $18 $EF $E3 $0C $10 $E3 $FF $00 $00 $FF $FF $00 $00 $F3 $E1 $12 $0C
; Tile index $02A
.db $F7 $FF $00 $00 $F1 $F1 $0C $02 $F1 $F1 $08 $06 $FB $F3 $0C $00 $F9 $FF $00 $00 $FF $FF $00 $00 $FF $F9 $06 $00 $F9 $F9 $04 $02
; Tile index $02B
.db $FE $FE $00 $01 $FF $FF $00 $00 $FF $FE $01 $00 $FF $FE $01 $00 $FF $FE $01 $00 $FF $FC $03 $00 $FF $FF $00 $00 $FC $FF $00 $00
; Tile index $02C
.db $2E $1F $20 $C0 $1E $1F $20 $C0 $9D $9F $20 $40 $AB $9F $60 $00 $DF $9F $60 $00 $FC $1F $E0 $00 $C1 $FF $00 $00 $0F $FF $00 $00
; Tile index $02D
.db $F0 $B0 $40 $0C $FB $9B $63 $04 $FA $8B $74 $02 $72 $DF $20 $00 $07 $FF $00 $00 $7F $FF $00 $00 $FF $FF $00 $00 $FA $F9 $06 $00
; Tile index $02E
.db $01 $01 $01 $00 $82 $82 $82 $01 $41 $40 $41 $86 $0A $8A $08 $45 $2C $A8 $2E $41 $44 $84 $40 $3B $48 $C8 $04 $33 $C8 $C0 $08 $37
; Tile index $02F
.db $81 $83 $3C $40 $02 $03 $80 $7C $02 $01 $06 $F8 $02 $03 $04 $F8 $05 $03 $0C $F0 $05 $03 $1C $E0 $05 $03 $1C $E0 $05 $07 $38 $C0
; Tile index $030
.db $E0 $C0 $30 $0F $CD $F8 $07 $00 $F1 $FF $00 $00 $FF $FE $01 $00 $FE $FE $01 $00 $FF $FF $00 $00 $FE $FE $00 $01 $FF $FF $00 $00
; Tile index $031
.db $18 $0F $10 $E0 $E3 $FF $00 $00 $2F $FD $02 $00 $20 $00 $70 $8F $00 $00 $00 $FF $07 $01 $3E $C0 $00 $7F $80 $00 $EF $FF $00 $00
; Tile index $032
.db $FC $FF $00 $00 $9F $FC $03 $00 $80 $80 $60 $1F $00 $00 $01 $FE $1C $0F $30 $C0 $00 $FF $00 $00 $1F $FF $00 $00 $FF $FF $00 $00
; Tile index $033
.db $01 $81 $42 $3C $00 $00 $80 $7F $00 $00 $08 $F7 $60 $3F $C0 $00 $07 $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00
; Tile index $034
.db $F0 $E0 $10 $0F $00 $00 $60 $9F $00 $00 $60 $9C $0B $FB $03 $0C $F0 $FC $00 $03 $FA $FE $00 $03 $FB $FF $01 $00 $32 $FE $00 $01
; Tile index $035
.db $11 $13 $14 $08 $03 $03 $00 $0C $02 $01 $02 $04 $00 $01 $00 $06 $01 $01 $00 $02 $02 $02 $03 $00 $00 $00 $00 $03 $00 $00 $00 $03
; Tile index $036
.db $F2 $F3 $04 $08 $F8 $FF $00 $00 $FE $FF $00 $00 $FD $F9 $06 $00 $79 $F8 $05 $02 $F5 $7D $82 $00 $05 $0D $30 $C2 $03 $01 $02 $FC
; Tile index $037
.db $FD $F9 $06 $00 $F8 $FF $00 $00 $FF $FB $04 $00 $FD $F9 $04 $02 $F6 $FC $02 $01 $F1 $FE $01 $00 $F8 $FF $00 $00 $FF $FF $00 $00
; Tile index $038
.db $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FE $FF $00 $00 $04 $7C $03 $80 $BA $FE $00 $01 $7C $FE $01 $00 $FF $FF $00 $00
; Tile index $039
.db $FF $FF $00 $00 $FF $F7 $08 $00 $C6 $87 $48 $30 $8C $01 $8E $70 $C1 $C1 $0E $30 $43 $00 $6F $90 $07 $02 $0D $F0 $07 $07 $00 $F8
; Tile index $03A
.db $80 $00 $C1 $3E $E0 $C0 $20 $1F $F0 $E0 $10 $0F $F0 $F0 $00 $0F $78 $F0 $08 $07 $78 $F8 $04 $03 $B8 $F8 $04 $03 $B8 $78 $84 $02
; Tile index $03B
.db $50 $00 $D0 $2F $40 $40 $00 $BF $40 $40 $80 $3F $00 $40 $80 $3F $00 $00 $00 $E3 $02 $02 $02 $C1 $00 $00 $00 $03 $00 $00 $00 $01
; Tile index $03C
.db $0D $0F $30 $C0 $1D $0F $F0 $00 $19 $0F $F0 $00 $2B $3F $C0 $00 $33 $3F $C0 $00 $57 $0F $70 $80 $6F $1F $60 $80 $5F $7F $00 $80
; Tile index $03D
.db $FF $FF $00 $00 $FE $FF $00 $00 $F1 $F9 $00 $06 $F8 $F8 $00 $07 $E0 $F0 $08 $07 $F0 $F0 $00 $0F $F0 $F0 $00 $0F $F0 $F0 $00 $0F
; Tile index $03E
.db $FF $FF $00 $00 $F1 $FF $00 $00 $EE $E0 $1E $01 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF
; Tile index $03F
.db $FF $EF $10 $00 $FF $EF $10 $00 $2F $3F $00 $C0 $2F $3F $00 $C0 $0F $1F $20 $C0 $2F $1F $60 $80 $27 $3F $40 $80 $6F $3F $C0 $00
; Tile index $040
.db $FC $F8 $05 $02 $F8 $F8 $04 $03 $F0 $F8 $04 $03 $F8 $F0 $08 $07 $F0 $F0 $08 $07 $E0 $C0 $20 $1F $C0 $C0 $00 $3E $C0 $C0 $00 $3C
; Tile index $041
.db $C8 $C0 $3C $03 $00 $00 $00 $FE $02 $02 $02 $FC $00 $00 $00 $E0 $00 $00 $00 $C0 $00 $00 $00 $80 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $042
.db $0F $0F $0F $00 $17 $13 $14 $08 $03 $07 $00 $18 $05 $07 $00 $08 $09 $0B $0C $00 $01 $01 $00 $0E $00 $00 $00 $03 $00 $00 $00 $01
; Tile index $043
.db $F0 $F0 $F0 $00 $8F $0F $EF $10 $1D $F9 $06 $00 $F9 $FF $00 $00 $FF $FF $00 $00 $7F $FF $00 $00 $BF $CF $30 $00 $70 $3F $40 $80
; Tile index $044
.db $04 $04 $04 $03 $F0 $F0 $F1 $0E $FE $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $F7 $E6 $11 $08 $A0 $E0 $10 $0F
; Tile index $045
.db $0F $07 $08 $F0 $3F $1F $E0 $00 $3F $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $B7 $F7 $08 $00 $07 $03 $84 $78 $07 $07 $78 $80
; Tile index $046
.db $FF $FF $00 $00 $FF $FF $00 $00 $FF $FE $01 $00 $F4 $F8 $04 $03 $FC $F8 $04 $03 $FC $F8 $07 $00 $EE $FC $03 $00 $EF $FE $01 $00
; Tile index $047
.db $FF $FF $00 $00 $E0 $FF $00 $00 $F9 $60 $9F $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $80 $7F $C0 $00 $FF $00
; Tile index $048
.db $83 $07 $80 $78 $43 $C7 $00 $38 $83 $C7 $28 $10 $43 $67 $80 $18 $27 $23 $04 $D8 $1F $1F $00 $E0 $0B $09 $06 $F0 $00 $03 $80 $7E
; Tile index $049
.db $79 $79 $81 $06 $9C $BC $40 $03 $AD $BD $41 $02 $C8 $DC $20 $03 $D2 $CC $32 $01 $CC $CE $30 $01 $EB $EF $10 $00 $18 $FF $00 $00
; Tile index $04A
.db $01 $01 $01 $00 $00 $00 $00 $01 $00 $00 $00 $03 $0C $0D $0C $02 $11 $17 $10 $88 $4F $47 $40 $B0 $1F $1F $00 $E0 $9D $9F $60 $00
; Tile index $04B
.db $3F $7F $00 $80 $7F $FF $00 $00 $7F $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FE $FE $01 $00 $FA $FC $02 $01
; Tile index $04C
.db $F0 $E0 $10 $0F $F0 $F0 $00 $0F $E0 $E0 $00 $1F $80 $C0 $20 $1F $C0 $C0 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $80 $7F
; Tile index $04D
.db $00 $00 $00 $FF $00 $00 $01 $FE $00 $00 $01 $FE $00 $00 $03 $FC $00 $00 $07 $F8 $01 $00 $0F $F0 $1B $03 $1C $E0 $03 $03 $0C $F0
; Tile index $04E
.db $EF $7F $80 $00 $EF $7F $80 $00 $6F $1F $E0 $00 $67 $7F $80 $00 $A7 $FF $00 $00 $E7 $FF $00 $00 $F7 $FF $00 $00 $87 $FF $00 $00
; Tile index $04F
.db $C0 $C0 $00 $3C $C0 $C0 $00 $20 $D0 $D0 $10 $20 $90 $D0 $10 $20 $A0 $C0 $20 $10 $E0 $C0 $20 $10 $F0 $D0 $30 $00 $A0 $E0 $00 $10
; Tile index $050
.db $0F $00 $00 $00 $1D $03 $03 $04 $38 $1F $0F $10 $30 $0F $0F $10 $30 $0F $0F $10 $31 $0E $0E $11 $31 $0E $0E $10 $31 $0E $0E $10
; Tile index $051
.db $FC $00 $00 $00 $FA $FC $F8 $04 $01 $FE $FC $02 $01 $FE $FE $00 $01 $FE $FE $00 $F1 $1E $1E $00 $B1 $1E $1E $00 $3F $0E $0E $10
; Tile index $052
.db $1F $20 $00 $E0 $3F $1F $0F $50 $60 $3F $1F $20 $60 $3F $3F $00 $60 $3F $3F $00 $61 $3E $3C $02 $62 $3C $3C $00 $62 $3C $3C $00
; Tile index $053
.db $F8 $08 $00 $0F $FC $E4 $E0 $17 $0C $FA $F8 $03 $06 $FC $FC $01 $06 $FC $FC $01 $86 $7C $3C $41 $46 $3C $3C $01 $46 $3C $3C $01
; Tile index $054
.db $FF $03 $00 $00 $FF $73 $70 $08 $8F $7B $78 $00 $8F $73 $70 $08 $8F $73 $70 $08 $8F $73 $70 $08 $8F $73 $70 $08 $8E $71 $72 $08
; Tile index $055
.db $2F $FE $00 $00 $AD $FE $00 $00 $CF $FE $00 $00 $CD $FE $00 $00 $ED $FE $00 $00 $FD $FE $00 $00 $FD $FE $00 $00 $7D $FE $00 $00
; Tile index $056
.db $FF $00 $00 $00 $FF $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $1F $E1 $E1 $00 $13 $E0 $E0 $00 $11 $E0 $E0 $00
; Tile index $057
.db $F3 $00 $30 $3C $BF $C1 $99 $58 $3E $C3 $CB $28 $1E $E3 $EB $08 $1E $E3 $EB $08 $1E $E3 $EB $08 $1E $EB $EB $00 $16 $E3 $E3 $08
; Tile index $058
.db $FF $00 $00 $00 $FF $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $3F $C0 $C0 $00 $21 $DF $C0 $00 $23 $DF $C0 $00
; Tile index $059
.db $F7 $18 $00 $00 $FF $D7 $C7 $00 $2C $D7 $C7 $00 $2C $D7 $C7 $00 $2C $D7 $C7 $00 $FC $07 $17 $00 $7C $C7 $37 $00 $7C $F7 $07 $00
; Tile index $05A
.db $FF $38 $00 $08 $C7 $AF $97 $08 $68 $87 $8F $10 $28 $C7 $DF $00 $38 $C7 $CF $00 $18 $E7 $E7 $00 $18 $E7 $E7 $10 $10 $FF $F7 $08
; Tile index $05B
.db $C0 $00 $00 $31 $C0 $00 $00 $A0 $E0 $20 $20 $80 $C0 $00 $00 $80 $C0 $00 $00 $80 $C0 $00 $00 $80 $C0 $00 $00 $80 $C0 $00 $00 $80
; Tile index $05C
.db $03 $02 $0C $F0 $03 $00 $0C $70 $07 $00 $0C $30 $0E $01 $0D $30 $36 $31 $2D $00 $5E $53 $4B $20 $3C $3B $03 $C0 $1C $3B $43 $80
; Tile index $05D
.db $F7 $0F $00 $00 $F7 $EF $E0 $00 $17 $FF $F0 $00 $1F $F7 $F0 $00 $0B $F7 $F0 $00 $0B $F7 $F0 $00 $0B $F7 $F0 $00 $0F $FB $F8 $00
; Tile index $05E
.db $FE $80 $00 $00 $FF $9C $1C $20 $E1 $9E $1E $20 $E1 $BE $1E $20 $F1 $9F $1F $00 $F1 $CF $0F $10 $F0 $CF $0F $00 $F8 $CF $2F $00
; Tile index $05F
.db $3E $00 $00 $00 $6E $1C $1C $00 $42 $3C $3C $00 $C6 $38 $38 $00 $84 $78 $78 $00 $84 $F8 $F8 $00 $0C $F0 $F0 $00 $08 $F0 $F0 $00
; Tile index $060
.db $FF $00 $00 $00 $FF $7F $7F $00 $80 $7F $7F $00 $80 $7F $7F $00 $80 $7F $7F $00 $8F $70 $70 $00 $88 $70 $70 $00 $88 $70 $70 $00
; Tile index $061
.db $F8 $00 $00 $00 $F8 $F0 $F0 $00 $08 $F0 $F0 $00 $08 $F0 $F0 $00 $08 $F0 $F0 $00 $F8 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $062
.db $31 $0E $0E $10 $31 $0E $0E $10 $31 $0E $0E $10 $31 $0E $0E $10 $31 $0E $0E $10 $31 $0E $0E $10 $31 $0E $0E $10 $31 $0E $0E $10
; Tile index $063
.db $3F $00 $00 $00 $7F $00 $00 $3E $41 $3E $3E $00 $41 $3E $3E $00 $41 $3E $3E $00 $71 $1E $1E $00 $31 $1E $1E $00 $B1 $1E $1E $00
; Tile index $064
.db $62 $3C $3C $00 $62 $3C $3C $00 $62 $3C $3C $00 $62 $3C $3C $00 $62 $3C $3C $00 $62 $3C $3C $00 $62 $3C $3C $00 $62 $3C $3C $00
; Tile index $065
.db $8C $70 $70 $0B $8C $70 $70 $0B $8C $78 $78 $00 $8C $78 $78 $00 $8C $78 $78 $00 $8C $78 $78 $00 $8C $78 $78 $00 $8C $70 $70 $08
; Tile index $066
.db $7D $7E $80 $00 $2D $3E $00 $C0 $15 $1E $00 $E0 $01 $06 $00 $38 $01 $02 $04 $08 $09 $08 $08 $06 $03 $00 $02 $0C $01 $00 $02 $04
; Tile index $067
.db $11 $E0 $E0 $00 $17 $E6 $E6 $00 $11 $E0 $E0 $0E $15 $E6 $E8 $00 $11 $EE $E0 $00 $1D $EE $E0 $00 $15 $E0 $EE $00 $13 $E0 $E8 $04
; Tile index $068
.db $1E $EB $E3 $00 $1E $EB $E3 $00 $16 $EB $E3 $00 $16 $EB $E3 $00 $16 $EB $E3 $00 $1E $EB $E3 $00 $16 $E3 $E3 $08 $16 $E3 $E3 $00
; Tile index $069
.db $3F $C0 $C0 $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $3F $C0 $C0 $00 $20 $C0 $DF $00 $20 $C0 $C0 $1F
; Tile index $06A
.db $BC $77 $07 $00 $BC $77 $07 $00 $BC $77 $07 $00 $BC $77 $07 $00 $AC $77 $07 $00 $CC $17 $67 $00 $0C $07 $97 $60 $0C $07 $07 $F0
; Tile index $06B
.db $0C $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $C0 $FF $FF $00 $C0 $BF $BF $40 $E0 $FF $BF $40
; Tile index $06C
.db $C1 $81 $81 $00 $C2 $82 $82 $01 $E1 $20 $21 $83 $E5 $24 $25 $82 $C8 $09 $0A $A4 $C5 $03 $04 $B8 $EB $2F $10 $80 $FF $3F $00 $80
; Tile index $06D
.db $74 $7B $03 $80 $74 $7B $83 $00 $F4 $FB $03 $00 $78 $F7 $07 $00 $F8 $F7 $07 $00 $E8 $F7 $07 $00 $E8 $B7 $47 $00 $E8 $F7 $07 $00
; Tile index $06E
.db $07 $FB $F8 $00 $C5 $BB $B8 $00 $C5 $BB $B8 $00 $C5 $BB $B8 $00 $45 $FF $FC $00 $01 $FF $FC $00 $02 $FD $FC $00 $03 $FD $FC $00
; Tile index $06F
.db $D8 $C7 $07 $28 $D8 $C7 $07 $20 $CC $C3 $23 $10 $CC $C3 $03 $30 $98 $C7 $17 $30 $98 $C7 $07 $20 $18 $8F $4F $20 $30 $0F $0F $80
; Tile index $070
.db $08 $F0 $F0 $00 $18 $F0 $F0 $00 $18 $E0 $E0 $00 $18 $E0 $E0 $00 $18 $F0 $F0 $00 $0C $F0 $F0 $00 $0C $F0 $F0 $08 $0C $F8 $F8 $00
; Tile index $071
.db $8F $70 $70 $00 $80 $7F $7F $00 $80 $7F $7F $00 $80 $7F $7F $00 $80 $7F $7F $00 $8F $70 $70 $00 $88 $70 $70 $00 $88 $70 $70 $00
; Tile index $072
.db $F0 $00 $00 $00 $10 $E0 $E0 $00 $10 $E0 $E0 $00 $10 $E0 $E0 $00 $10 $E0 $E0 $00 $F0 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $073
.db $31 $0E $0E $11 $30 $0F $0F $10 $30 $0F $0F $10 $38 $1F $0F $10 $1F $03 $03 $04 $0F $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $074
.db $F1 $1E $1E $00 $01 $FE $FE $00 $01 $FE $FE $00 $01 $FE $FC $02 $FE $FC $F8 $04 $FC $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $075
.db $61 $3E $3C $02 $60 $3F $3F $00 $40 $3F $3F $00 $40 $3F $1F $20 $3F $1F $0F $10 $1F $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $076
.db $C6 $3C $3C $40 $06 $FC $FC $00 $06 $FC $FC $00 $0E $FC $F8 $04 $FC $E0 $E0 $10 $F8 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $077
.db $8F $78 $78 $00 $80 $7F $7F $00 $80 $7F $7F $00 $80 $7F $7F $00 $FF $7F $7F $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $078
.db $F9 $00 $00 $00 $05 $F8 $F8 $00 $05 $F8 $F8 $00 $05 $F8 $F8 $00 $F5 $F8 $F8 $00 $F9 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $079
.db $1F $E1 $E1 $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $FF $FF $FF $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $07A
.db $16 $E3 $E3 $00 $16 $E3 $E3 $00 $16 $E3 $E3 $00 $36 $C1 $C1 $20 $A3 $C5 $81 $54 $C3 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $07B
.db $3F $C0 $C0 $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $FF $FF $FF $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $07C
.db $EC $07 $07 $10 $6C $C7 $C7 $10 $6C $C7 $C7 $10 $28 $C7 $C7 $10 $EF $83 $83 $54 $EF $00 $00 $10 $00 $00 $0F $70 $00 $00 $00 $3F
; Tile index $07D
.db $E0 $9F $9F $20 $E0 $9F $9F $00 $F0 $8F $8F $00 $D0 $AF $8F $00 $FF $07 $27 $80 $CF $00 $10 $20 $04 $07 $88 $70 $01 $01 $02 $FC
; Tile index $07E
.db $FF $3F $00 $80 $FF $3F $00 $80 $FF $3F $00 $80 $FF $BF $80 $00 $FF $3F $00 $80 $FF $3F $00 $00 $7F $FF $00 $00 $FF $FF $00 $00
; Tile index $07F
.db $F0 $EF $0F $00 $D0 $EF $0F $00 $D1 $EF $0F $00 $D1 $EF $0F $00 $DF $EE $0E $01 $DF $E0 $00 $00 $F9 $FF $00 $00 $FF $FE $01 $00
; Tile index $080
.db $62 $FC $3C $C0 $63 $9E $1E $A0 $41 $3E $9E $20 $41 $3E $9E $20 $FF $3E $1E $20 $BF $00 $00 $00 $80 $80 $80 $00 $00 $00 $00 $80
; Tile index $081
.db $31 $0F $0F $10 $61 $1E $1E $01 $41 $3E $1E $20 $63 $3C $3C $00 $7E $3C $3C $00 $7E $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $082
.db $84 $F8 $F8 $00 $86 $78 $78 $00 $C6 $7C $7C $00 $C2 $3C $3C $00 $7E $1C $1C $00 $3E $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $083
.db $8F $70 $70 $00 $80 $7F $7F $00 $80 $7F $7F $00 $80 $7F $7F $00 $FF $7F $7F $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $084
.db $F8 $00 $00 $00 $08 $F0 $F0 $00 $08 $F0 $F0 $00 $08 $F0 $F0 $00 $F8 $F0 $F0 $00 $F8 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $085
.db $00 $00 $00 $1F $00 $00 $00 $0F $00 $00 $00 $03 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $086
.db $00 $00 $01 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $3F $00 $00 $00 $1F $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $087
.db $FF $FF $00 $00 $5F $7F $80 $00 $3F $1F $20 $C0 $07 $03 $0C $F0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $01 $00 $00 $00 $00
; Tile index $088
.db $FE $FE $00 $01 $F8 $FC $00 $03 $F8 $F8 $00 $06 $D0 $F0 $00 $0C $60 $00 $E0 $18 $00 $00 $00 $F0 $00 $00 $00 $C0 $00 $00 $00 $00
; Tile index $089
.db $00 $00 $00 $80 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
titleTilesEnd:

titleTilemap:
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1002 $1003 $1004 $1005 $1006 $1007 $1008 $1009 $100A $100B $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $100C $100D $100E $100F $1010 $1011 $1012 $1013 $1014 $1015 $1016 $1017 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1018 $1019 $101A $101B $101C $101D $101E $101F $1020 $1021 $1022 $1023 $1024 $1025 $1026 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1027 $1028 $1029 $102A $102B $102C $102D $102E $102F $1030 $1031 $1032 $1033 $1034 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1035 $1036 $1037 $1038 $1039 $103A $103B $103C $103D $103E $103F $1040 $1041 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1042 $1043 $1044 $1045 $1046 $1047 $1048 $1049 $104A $104B $104C $104D $104E $104F $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1050 $1051 $1052 $1053 $1054 $1055 $1056 $1057 $1058 $1059 $105A $105B $105C $105D $105E $105F $1060 $1061 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1062 $1063 $1064 $1264 $1065 $1066 $1067 $1068 $1069 $106A $106B $106C $106D $106E $106F $1070 $1071 $1072 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1073 $1074 $1075 $1076 $1077 $1078 $1079 $107A $107B $107C $107D $107E $107F $1080 $1081 $1082 $1083 $1084 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1085 $1086 $1087 $1088 $1089 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1111 $111A $1133 $1134 $1121 $1132 $1134 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1112 $111A $112D $1125 $112E $1135 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000
.dw $1000 $1000 $1000 $1000 $1000 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1000 $1000 $1000 $1000 $1000

titlePalette:
  .db          $24 $3E $2F $0B $06 $1B              ; background
  .db          $03 $02 $01 $17 $2B $2A
  .db          $00 $3F $00 $00
                                                    ; sprites
  .db          $33                                  ; transparent purple color
  .db          $3F                                  ; white color for the star
titlePaletteEnd:
.ends

.section "Sprite tile(s)" free
; ================================================================================================;
;               *****   STAR TILE (WHITE DOT ON PURPLE BACKGR.)    *****                          ;
; ================================================================================================;
spriteData:
     .db         $00 $00 $00 $00 $00 $00 $00             ; the white dot tile (a 'star')
     .db         $00 $00 $00 $00 $00 $18 $00
     .db         $00 $00 $18 $00 $00 $00 $00
     .db         $00 $00 $00 $00 $00 $00 $00
     .db         $00 $00 $00 $00

.ends

.section "Trainer menu data" free
trainerMenuTilemap:
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $111E $112C $1129 $1136 $1125 $1133 $110E $110E $110E $110E $111A $112E $112F $1132 $112D $1121 $112C $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1130 $112F $1134 $1129 $112F $112E $1133 $110E $110E $111A $112E $112F $1132 $112D $1121 $112C $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $112C $1125 $1136 $1125 $112C $110E $110E $110E $110E $111A $1111 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1133 $1134 $1121 $1132 $1134 $1100 $1127 $1121 $112D $1125 $1101 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001
.dw $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001 $1001

mnuUnlimited:
.dw $1135 $112E $112C $1129 $112D $1129 $1134 $1125 $1124

mnuX2:
.dw $1158 $1112 $1001 $1001 $1001 $1001 $1001 $1001 $1001

mnuNormal:
.dw $112E $112F $1132 $112D $1121 $112C $1001 $1001 $1001
.ends

.section "Font" free
; I got this font from Maxim's demonstration of BMP2Tile
fontData:
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$00,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $6C,$00,$00,$00,$6C,$00,$00,$00,$6C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $36,$00,$00,$00,$36,$00,$00,$00,$7F,$00,$00,$00,$36,$00,$00,$00
.db $7F,$00,$00,$00,$36,$00,$00,$00,$36,$00,$00,$00,$00,$00,$00,$00
.db $0C,$00,$00,$00,$3F,$00,$00,$00,$68,$00,$00,$00,$3E,$00,$00,$00
.db $0B,$00,$00,$00,$7E,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $60,$00,$00,$00,$66,$00,$00,$00,$0C,$00,$00,$00,$18,$00,$00,$00
.db $30,$00,$00,$00,$66,$00,$00,$00,$06,$00,$00,$00,$00,$00,$00,$00
.db $38,$00,$00,$00,$6C,$00,$00,$00,$6C,$00,$00,$00,$38,$00,$00,$00
.db $6D,$00,$00,$00,$66,$00,$00,$00,$3B,$00,$00,$00,$00,$00,$00,$00
.db $0C,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $0C,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00,$30,$00,$00,$00
.db $30,$00,$00,$00,$18,$00,$00,$00,$0C,$00,$00,$00,$00,$00,$00,$00
.db $30,$00,$00,$00,$18,$00,$00,$00,$0C,$00,$00,$00,$0C,$00,$00,$00
.db $0C,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$18,$00,$00,$00,$7E,$00,$00,$00,$3C,$00,$00,$00
.db $7E,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$7E,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$7E,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$06,$00,$00,$00,$0C,$00,$00,$00,$18,$00,$00,$00
.db $30,$00,$00,$00,$60,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$6E,$00,$00,$00,$7E,$00,$00,$00
.db $76,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$38,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$06,$00,$00,$00,$0C,$00,$00,$00
.db $18,$00,$00,$00,$30,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$06,$00,$00,$00,$1C,$00,$00,$00
.db $06,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $0C,$00,$00,$00,$1C,$00,$00,$00,$3C,$00,$00,$00,$6C,$00,$00,$00
.db $7E,$00,$00,$00,$0C,$00,$00,$00,$0C,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00,$06,$00,$00,$00
.db $06,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $1C,$00,$00,$00,$30,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$06,$00,$00,$00,$0C,$00,$00,$00,$18,$00,$00,$00
.db $30,$00,$00,$00,$30,$00,$00,$00,$30,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$3E,$00,$00,$00
.db $06,$00,$00,$00,$0C,$00,$00,$00,$38,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $00,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00
.db $0C,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00,$60,$00,$00,$00
.db $30,$00,$00,$00,$18,$00,$00,$00,$0C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $30,$00,$00,$00,$18,$00,$00,$00,$0C,$00,$00,$00,$06,$00,$00,$00
.db $0C,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$0C,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$00,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$6E,$00,$00,$00,$6A,$00,$00,$00
.db $6E,$00,$00,$00,$60,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$7E,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $7C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$7C,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$7C,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00
.db $60,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $78,$00,$00,$00,$6C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$6C,$00,$00,$00,$78,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$60,$00,$00,$00,$6E,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$7E,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $3E,$00,$00,$00,$0C,$00,$00,$00,$0C,$00,$00,$00,$0C,$00,$00,$00
.db $0C,$00,$00,$00,$6C,$00,$00,$00,$38,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$6C,$00,$00,$00,$78,$00,$00,$00,$70,$00,$00,$00
.db $78,$00,$00,$00,$6C,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $63,$00,$00,$00,$77,$00,$00,$00,$7F,$00,$00,$00,$6B,$00,$00,$00
.db $6B,$00,$00,$00,$63,$00,$00,$00,$63,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$76,$00,$00,$00,$7E,$00,$00,$00
.db $6E,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $7C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$7C,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $6A,$00,$00,$00,$6C,$00,$00,$00,$36,$00,$00,$00,$00,$00,$00,$00
.db $7C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$7C,$00,$00,$00
.db $6C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$60,$00,$00,$00,$3C,$00,$00,$00
.db $06,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$3C,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $63,$00,$00,$00,$63,$00,$00,$00,$6B,$00,$00,$00,$6B,$00,$00,$00
.db $7F,$00,$00,$00,$77,$00,$00,$00,$63,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$18,$00,$00,$00
.db $3C,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $7E,$00,$00,$00,$06,$00,$00,$00,$0C,$00,$00,$00,$18,$00,$00,$00
.db $30,$00,$00,$00,$60,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $7C,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$60,$00,$00,$00,$30,$00,$00,$00,$18,$00,$00,$00
.db $0C,$00,$00,$00,$06,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $3E,$00,$00,$00,$06,$00,$00,$00,$06,$00,$00,$00,$06,$00,$00,$00
.db $06,$00,$00,$00,$06,$00,$00,$00,$3E,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$3C,$00,$00,$00,$66,$00,$00,$00,$42,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$FF,$00,$00,$00
.db $1C,$00,$00,$00,$36,$00,$00,$00,$30,$00,$00,$00,$7C,$00,$00,$00
.db $30,$00,$00,$00,$30,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3C,$00,$00,$00,$06,$00,$00,$00
.db $3E,$00,$00,$00,$66,$00,$00,$00,$3E,$00,$00,$00,$00,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$7C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3C,$00,$00,$00,$66,$00,$00,$00
.db $60,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $06,$00,$00,$00,$06,$00,$00,$00,$3E,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3E,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3C,$00,$00,$00,$66,$00,$00,$00
.db $7E,$00,$00,$00,$60,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $1C,$00,$00,$00,$30,$00,$00,$00,$30,$00,$00,$00,$7C,$00,$00,$00
.db $30,$00,$00,$00,$30,$00,$00,$00,$30,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3E,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$3E,$00,$00,$00,$06,$00,$00,$00,$3C,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$7C,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$00,$00,$00,$00,$38,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$00,$00,$00,$00,$38,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$70,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$66,$00,$00,$00,$6C,$00,$00,$00
.db $78,$00,$00,$00,$6C,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $38,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$36,$00,$00,$00,$7F,$00,$00,$00
.db $6B,$00,$00,$00,$6B,$00,$00,$00,$63,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$7C,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3C,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$7C,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$7C,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3E,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$3E,$00,$00,$00,$06,$00,$00,$00,$07,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$6C,$00,$00,$00,$76,$00,$00,$00
.db $60,$00,$00,$00,$60,$00,$00,$00,$60,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$3E,$00,$00,$00,$60,$00,$00,$00
.db $3C,$00,$00,$00,$06,$00,$00,$00,$7C,$00,$00,$00,$00,$00,$00,$00
.db $30,$00,$00,$00,$30,$00,$00,$00,$7C,$00,$00,$00,$30,$00,$00,$00
.db $30,$00,$00,$00,$30,$00,$00,$00,$1C,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$66,$00,$00,$00,$3E,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$3C,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$63,$00,$00,$00,$6B,$00,$00,$00
.db $6B,$00,$00,$00,$7F,$00,$00,$00,$36,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$66,$00,$00,$00,$3C,$00,$00,$00
.db $18,$00,$00,$00,$3C,$00,$00,$00,$66,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$66,$00,$00,$00,$66,$00,$00,$00
.db $66,$00,$00,$00,$3E,$00,$00,$00,$06,$00,$00,$00,$3C,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$7E,$00,$00,$00,$0C,$00,$00,$00
.db $18,$00,$00,$00,$30,$00,$00,$00,$7E,$00,$00,$00,$00,$00,$00,$00
.db $0C,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$70,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$0C,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$00,$00,$00,$00
.db $30,$00,$00,$00,$18,$00,$00,$00,$18,$00,$00,$00,$0E,$00,$00,$00
.db $18,$00,$00,$00,$18,$00,$00,$00,$30,$00,$00,$00,$00,$00,$00,$00
.db $31,$00,$00,$00,$6B,$00,$00,$00,$46,$00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
fontDataEnd:
.ends

